QGIS Application - Feature request #11644
Do not enable automatic on-the-fly projection by default
2014-11-14 06:39 AM - mlennert -

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 19897
Description

Trying to teach GIS and notably projection handling, but also during normal daily work of GIS analysis, | find it severly annoying to have
the "enable automatic on-the-fly projection” option enabled by default. | find that it induces new users into error making them completely
forget about projection issues (which is ok if all you want to do is visualise or map, but horrible when you actually want to do work with the
data), even more so since even they disable on-the-fly projection in their project properties, it comes right back in through the back door
when they activate any layer in a different projection.

| can understand the idea of having such an option, but why does it have to be activated by default ?

History

#1 - 2014-11-14 09:11 AM - Giovanni Manghi

while | undestand your point, | also give a lot of training and there also good reasons to let the option as it is now.

#2 - 2017-03-01 12:55 AM - Nyall Dawson
- Resolution set to wontfix

- Status changed from Open to Closed

Disabling on the fly projection is no longer an option in QGIS 3.0
